Bug 210596 - NullPointerException at org.tigris.subversion.svnclientadapter.javahl.AbstractJhlClientAdapter.getInfo
NullPointerException at org.tigris.subversion.svnclientadapter.javahl.Abstrac...
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Subversion
7.2
All All
: P3 (vote)
: 7.2
Assigned To: Ondrej Vrabec
issues@versioncontrol
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-03 08:41 UTC by schkovich
Modified: 2012-04-14 09:45 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (5.40 KB, text/plain)
2012-04-03 08:41 UTC, schkovich
Details
stacktrace (5.40 KB, text/plain)
2012-04-12 15:26 UTC, schkovich
Details

Note You need to log in before you can comment on or make changes to this bug.
Description schkovich 2012-04-03 08:41:47 UTC
Build: NetBeans IDE Dev (Build 201204021038)
VM: Java HotSpot(TM) 64-Bit Server VM, 21.0-b17, Java(TM) SE Runtime Environment, 1.7.0-b147
OS: Linux

User Comments:
schkovich: right click on folder looking for svn into

GUEST: RightClick on project
- Subversion 
- - Version Info
Nothing happened.


-------------------------------------------------------------------------------
>Log Session: Monday, March 12, 2012 11:00:28 AM GMT
>System Info: 
  Product Version         = NetBeans IDE 7.1 (Build 201112071828) (#e649e0c4c10c)
  Operating System        = Windows 7 version 6.1 running on x86
  Java; VM; Vendor        = 1.6.0_31; Java HotSpot(TM) Client VM 20.6-b01; Sun Microsystems Inc.
  Runtime                 = Java(TM) SE Runtime Environment 1.6.0_31-b05
  Java Home               = C:\Program Files (x86)\Java\jre6
  System Locale; Encoding = en_GB (nb); Cp1252
  Home Directory          = C:\Users\chrism
  Current Directory       = C:\Program Files (x86)\NetBeans 7.1
  User Directory          = C:\Users\chrism\.netbeans\7.1
  Cache Directory         = C:\Users\chrism\.netbeans\7.1\var\cache
  Installation            = C:\Program Files (x86)\NetBeans 7.1\nb
                            C:\Program Files (x86)\Ne




Stacktrace: 
java.lang.NullPointerException
   at org.tigris.subversion.svnclientadapter.javahl.AbstractJhlClientAdapter.getInfo(AbstractJhlClientAdapter.java:2025)
   at org.tigris.subversion.svnclientadapter.AbstractClientAdapter.getInfo(AbstractClientAdapter.java:310)
   at sun.reflect.NativeMethodAccessorImpl.invoke0(NativeMethodAccessorImpl.java:0)
   at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
   at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
   at java.lang.reflect.Method.invoke(Method.java:601)
Comment 1 schkovich 2012-04-03 08:41:49 UTC
Created attachment 117714 [details]
stacktrace
Comment 2 Ondrej Vrabec 2012-04-03 14:29:21 UTC
This is interesting: 
> java.lang.IllegalStateException: Null URL for: /home/schkovich/NetBeansProjects/MisApplication/library/Mis/Gearman/runners/Channels/PdfCreatorRunner.php, /home/schkovich/NetBeansProjects/MisApplication/library/Mis/Gearman/runners/Channels/PdfCreatorRunner.php deleted
It means that svnkit cannot find URL for the file but i have no idea why. Is the working copy svn 1.6 or 1.7? What was the actual file's status? Did you do any external actions with the files (moveing, deleting outside of the IDE).
Is your project public? Could you pack and send me the working copy and point to the file that throws the exception?
Comment 3 Ondrej Vrabec 2012-04-03 14:30:55 UTC
Or if you knew about the exact steps how to reproduce, could you let me know? I guess the file must be in a special state for this to happen, it does not happen to every file in the checkout, does it?
Comment 4 schkovich 2012-04-12 15:26:23 UTC
Created attachment 118207 [details]
stacktrace

right click on folder in files panel and asking for svn info
Comment 5 Ondrej Vrabec 2012-04-13 10:37:55 UTC
i'll prevent the NPE, however i have no idea how to reproduce and what kind of file/folder causes this. What is the file's status when you call the Versioning Info action? Is it reproducible for the file (even after Subversion -> Show Changes is called to refresh its status)?
Comment 6 Ondrej Vrabec 2012-04-13 10:45:36 UTC
fix: http://hg.netbeans.org/core-main/rev/b71b0ca859dc
Comment 7 Quality Engineering 2012-04-14 09:45:24 UTC
Integrated into 'main-golden', will be available in build *201204140400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/b71b0ca859dc
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #210596 - NullPointerException at org.tigris.subversion.svnclientadapter.javahl.AbstractJhlClientAdapter.getInfo
preventing from the NPE and adding logging


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo